package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.MkmjAddCmd;
import com.zcloud.primeport.dto.MkmjPageQry;
import com.zcloud.primeport.dto.MkmjUpdateCmd;
import com.zcloud.primeport.dto.clientobject.MkmjCO;
import com.zcloud.primeport.dto.clientobject.VehicleMessageCO;

import java.util.Collection;
import java.util.List;

public interface MkmjServiceI {
    PageResponse<MkmjCO> listPage(MkmjPageQry qry);

    SingleResponse<MkmjCO> add(MkmjAddCmd cmd);

    void edit(MkmjUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    MkmjCO getInfoById(Long id);

    Boolean checkName(String mkmjName, Long id);

    List<MkmjCO> listAll(MkmjPageQry qry);
}

